Subject: Running code [was Re: [Sipping] Re: [Sip] Thoughts on the Principle of DividingandConquering]

From: Marc Petit-Huguenin <[email-masked]>
Date: Fri, 03 Mar 2006 12:02:33 -0800

Henry Sinnreich wrote:
>>In the end, the bulk of the work is done by volunteers that read drafts,
>>provide ideas and comments, and write the drafts - it the people that
>>count.
> 
> 
> I could not agree more, except to add the highest value is added by people
> who also write code before submitting an I-D written on a word processor.
> 
> Mybe most of the issues discussed here could be solved by imposing the good
> old IETF rule "we believe in running code".
> 
> Writing code first would certainly reduce the avalanche of word processor
> output that gave us the problems that Dean mentioned.
> 
> Actually, how much value is there in an I-D that is not backed up by running
> code? Admittedly there are some framework documents, requirements, etc., but
> they are the exception to the rule "we believe in running code".
> 
> Thanks, Henry
> 
>  

As a developer, I completely agree to what you are saying here, so here
is an idea: What about a standardized section in future I-D/RFC that
list the running code that implement this document - like a "Running
Code Considerations", after the "IANA Considerations" and "Security
Considerations" sections.

-- 
Marc Petit-Huguenin
Home: [email-masked]
Work: [email-masked]

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Henry Sinnreich" <[email-masked]>
Date: Fri, 3 Mar 2006 17:21:42 -0500

Marc,

>What about a standardized section in future I-D/RFC that list the running
>code that implement this document - like a "Running Code Considerations",
>after the "IANA Considerations" and "Security Considerations" sections.

This is an excellent proposal and I would also add:

Documents that are only proposals or concepts, but are not backed up by
running code can be very well exchaged as e-mails on the various lists. 
In this way, WG I-D overload would disappear and Dean's problem will be
solved.

If there is no running code, discussions on e-mail is just fine.

Thanks, Henry

-----Original Message-----
From: Marc Petit-Huguenin [mailto:[email-masked]] 
Sent: Friday, March 03, 2006 3:03 PM
To: [email-masked]
Cc: 'Cullen Jennings'; [email-masked]; 'sipping'; 'Jon Peterson'; 'Allison
Mankin'
Subject: Running code [was Re: [Sipping] Re: [Sip] Thoughts on the Principle
of DividingandConquering]